Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05939 Speed Minor Always May 16, 2015, 16:01 24 days ago
Tester abelardator2 View Status Public Platform MAMEUI
Assigned To Resolution Open OS Windows Vista/7/8 (64-bit)
Status [?] Confirmed Driver prehisle.cpp
Version 0.161 Fixed in Version Build Normal
Summary 05939: prehisle, gensitou, prehislek, prehisleu: Wrong speed
Description The game runs much slower on the PCB. Wrong speed? Below 60Hz?
I have a comparative video.
Also I have some photos of the PCB.

Video comparative:
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems prehisle, gensitou, prehislek, prehisleu
Attached Files
jpg file icon 20150516_163332.jpg (87,539 bytes) May 16, 2015, 16:01 Uploaded by abelardator2
abelardator2
jpg file icon 20181019_213818.jpg (28,111 bytes) 25 days ago Uploaded by abelardator2
OSSC Info
abelardator2
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.11669
Mamesick
Senior Tester
May 17, 2015, 18:30
Confirmed. Looking at other SNK games with very similar hardware, it seems that 59.18~59.16 Hz refresh rate improves it.
User avatar
No.12624
Mamesick
Senior Tester
May 6, 2016, 07:31
Isnt this fixed by this commit I submitted a while ago? At least it should be improved.
http://git.redump.net/mame/commit/?id=6972e75f6218e8e8a824fc534ac62b03b394930b
User avatar
No.12684
system11
Senior Tester
May 21, 2016, 04:33
Worth noting: the PCB above isn't a normal SNK built one, it's Spanish or Italian and potentially has slightly different oscillators fitted.

Also means the one above probably needs dumping in case there's a code difference. Unlikely but possible.
User avatar
No.12695
abelardator2
Tester
May 21, 2016, 16:28
I have a programmer, I can read the code eproms and compare with files dumped in MAME.
User avatar
No.12696
abelardator2
Tester
May 21, 2016, 17:58
I checked my PCB, is the world version.
User avatar
No.15572
abelardator2
Tester
25 days ago
Mi OSSC said 54.03Hz conected on PCB.
User avatar
No.15591
AJR
Developer
24 days ago
The 15.61 kHz horizontal rate and 54.03 Hz vertical rate don't seem to be exact divisions of the dot clock (which I believe is correct, though the XTAL appears to be 12 MHz rather than 24 MHz). The screen parameters currently configured give a horizontal rate of 15.625 kHz, which is typical and close enough. 54.03 Hz suggests a vertical line count of about 288, but that doesn't entirely make sense given that Prehistoric Isle uses the same "CLK" video timing gate array as most of the later SNK/Alpha Denshi 68000-based games. (It should be noted that the scanned "Prehistoric Isle" schematics actually describe the hardware of Sky Adventure and Gang Wars.)